Subject: BUG: install with package.el on emacs-29.0.60 requires manual editing of hyperbole-autoloads.el to make autoloading work

From: [email-masked]
Date: Sun, 11 Dec 2022 10:55:11 +0000

Hello,

I have been very sufficiently impressed by the three Hyperbole 
presentations  at Emacsconf to invest some time trying to install 
Hyperbole despite a message saying that Emacs failed to load hact after 
its installation from the package.el's description of Hyperbole.

I noticed that hyperbole-autoloads.el does not add the Hyperbole 
installation directory to load-path, so I edited hyperbole-autoloads.el 
as shown in the attached patch.

After checking, I also think that the tar files downloaded from 
https://elpa.gnu.org/packages/ do not contain XXX-autoloads.el to let 
package.el installation process generate those files, but I am not a 
package.el expert.

Best regards -- Gerard